<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <record id="res_config_settings_view_form_inherit_timesheet_block" model="ir.ui.view">
        <field name="name">res.config.settings.view.form.inherit.timesheet.block</field>
        <field name="model">res.config.settings</field>
        <field name="inherit_id" ref="hr_timesheet.res_config_settings_view_form"/>
        <field name="arch" type="xml">
            <xpath expr="//div[@name='section_leaves']" position="after">
                <div name="timesheet_block_limit" groups="base.group_no_one">
                        <h2>Timesheet Create/Edit Configuration </h2>
                        <div class="row mt16 o_settings_container" name="timesheet_control">
                            <div class="col-12 col-lg-6 o_setting_box" id="timesheet_block_validation_setting">

                                <div class="o_setting_right_pane">
                                    <label for="timesheet_edit_create_limit"/>
                                    <div >
                                        <field name="timesheet_edit_create_limit"/>
                                    </div>
                                </div>
                                <div class="o_setting_right_pane">
                                    <label for="timesheet_edit_create_months"/>
                                    <div >
                                        <field name="timesheet_edit_create_months"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            </xpath>
        </field>
    </record>

    <record id="timesheet_block_settings_action" model="ir.actions.act_window">
        <field name="name">Timesheet Block Configuration</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">res.config.settings</field>
        <field name="view_id" ref="timesheet_block.res_config_settings_view_form_inherit_timesheet_block"/>
        <field name="view_mode">form</field>
        <field name="target">inline</field>
        <field name="context">{'module' : 'timesheet_block', 'bin_size': False}</field>
    </record>



</odoo>